Approval Status
curl --request GET \
--url https://api.example.com/api/projects/{id}/approval-statusimport requests
url = "https://api.example.com/api/projects/{id}/approval-status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/projects/{id}/approval-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": "<string>",
"allowance": "<string>",
"committed": "<string>",
"available": "<string>"
}Projects
Approval Status
Check the founder’s on-chain token balance, allowance, and available amount for bounties.
GET
/
api
/
projects
/
{id}
/
approval-status
Approval Status
Requires authentication. Founder only.
string
required
Project ID.
Example
curl https://api.shipyardprotocol.com/api/projects/proj_m1n2o3/approval-status \
-H "Authorization: Bearer YOUR_API_KEY"
Response
string
Founder’s on-chain token balance (bigint as string).
string
ERC-20 allowance granted to the platform wallet (bigint as string).
string
Total reward amount across all active bounties (
open, claimed, in_review).string
min(balance, allowance) - committed. The amount available for new bounties.200
{
"balance": "50000",
"allowance": "50000",
"committed": "5000",
"available": "45000"
}
Errors
| Status | Description |
|---|---|
| 400 | Project token not deployed yet |
| 403 | Not the project founder |
| 404 | Project not found |

